Subject: [Healeys] BJ8 Heater Valve Kaput

From: Bob Spidell <[email-masked]>
Date: Tue, 3 Nov 2020 20:11:45 -0800

Fired up the 3000 today for a short local trip, and my heater valve 
started peeing on my leg (interesting that it leaks when closed, but not 
when it's open). Anyway, before I place an order to our favorite SoCal 
parts house, does anybody know if these can be fixed/rebuilt, or should 
I just spring for new? IIRC, the valve at the block is closed when at a 
right angle to the hose, correct (the valve kept leaking when I set it 
so, so either I gots it wrong or there's lots of residual coolant in the 
line/box)?

How much should I charge myself for labor?

TIA,
Bob
_______________________________________________

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys